## ![](assets/images/icon25x25.png) TVM - TV Manager

[![Build Status](https://travis-ci.org/davidvuong/tvm.svg?branch=master)](https://travis-ci.org/davidvuong/tvm)

TVM is a command line tool that helps you manage your TV shows.

## Usage

```
>>> tvm
usage:
    tvm.py check [--sleep=<n> --without-cache --untracked]
    tvm.py doctor [--repository --records]
    tvm.py generate <path> [--append --force]
    tvm.py ls [[<title>... [--expand]]|--new]
    tvm.py play [<title>...] (--random|--iter) [--no-open --no-record]
    tvm.py play [<title>...] --undo
    tvm.py play <title>... [--no-open --no-record]
```

## Getting Started

1. Installing via `setup.py`:

        git clone git@github.com:davidvuong/tvm.git
        cd tvm
        python setup.py install --user

    `--user` is needed to install to `~/Library/Python/2.7/lib/python/site-packages/`. If you're getting the following error when running `tvm`:

        >> tvm
        command not found: tvm

    then you'll have to export your local Python `bin/` directory. Put this at the bottom of your `.profile`.

        export PATH=$PATH:~/Library/Python/2.7/bin

2. Installing via `pip`:

        pip install tvm --user

    The PATH environment variable must also include `~/Library/Python/2.7/bin`.

[https://github.com/davidvuong/tvm/wiki/Tutorial](https://github.com/davidvuong/tvm/wiki/Tutorial)

## Developer

1. First, download and setup a virtual environment.

        git clone git@github.com:davidvuong/tvm.git
        mkvirtualenv tvm
        cd tvm

2. Next, you need to install the package dependencies.

        pip install -r requirements.txt
        python setup.py develop

    If you're having issues compiling, due to this error (Mac specific):

        clang: error: unknown argument: '-mno-fused-madd' [-Wunused-command-line-argument-hard-error-in-future]
        clang: note: this will be a hard error (cannot be downgraded to a warning) in the future
        error: command 'cc' failed with exit status 1

    You can temporarily fix it by performing the following export:

        export ARCHFLAGS="-Wno-error=unused-command-line-argument-hard-error-in-future"

        pip install -r requirements.txt
        python setup.py develop

3. Once everything has successfully install, you can test and run tvm to see if it works.

        fab test
        tvm -h

    If tests pass and no errors pop up, you're all good to go.

## External Tools

* `ffprobe`
* `cloc`
