from tvm import __version__

from setuptools import setup, find_packages
import os


def app_data():
    app_data = []
    for root, dirs, files in os.walk('tvm/vendor/MacOS'):
        root = '/'.join(root.split('/')[1:])
        for f in files:
            app_data.append(os.path.join(root, f))
    return app_data

setup(
    name='tvm',
    version=__version__,
    description="A command line tool to help you manage your TV shows.",
    url='https://github.com/davidvuong/tvm',

    author='David Vuong',
    author_email='david.vuong256@gmail.com',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',

        'License :: OSI Approved :: Apache Software License',

        'Operating System :: MacOS',

        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
    ],
    keywords='tv shows manager tvm organise',
    platforms='MacOS X',

    license='Apache 2.0',

    packages=find_packages(exclude=['contrib', 'docs', 'tests*']),
    install_requires=[
        'PyYAML',
        'docopt',
        'python-dateutil'
    ],
    include_package_data=True,
    package_data={'': ['README.md', 'LICENSE', 'CHANGELOG.txt'] + app_data()},

    entry_points={
        'console_scripts': [
            'tvm=tvm.tvm:main',
        ],
    },
)
