#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
import json

from tvm.api.config import config
from tvm.api.io import info


class NotificationCache(object):
    @staticmethod
    def cache(notification):
        if not os.path.exists(config.cache_path):
            os.makedirs(config.cache_path)

        notification_path = config.last_notification_path
        info('Caching last notification to: "%s"' % notification_path)
        with open(notification_path, 'w') as cached_file:
            json.dump(notification, cached_file)

    @staticmethod
    def load():
        notification_path = config.last_notification_path
        if not os.path.exists(notification_path):
            return None

        with open(notification_path, 'r') as cached_file:
            return json.load(cached_file)
