#!/usr/bin/env python
# -*- coding: utf-8 -*-
from tvm.api.tvcollection import TVCollection


class BaseCommand(object):
    def __init__(self, **kwargs):
        # NOTE: _ is used to differentiate between command line arguments arguments to the instance.
        ignore_errors = kwargs.get('_ignore_errors', False)
        terminate_program = kwargs.get('_terminate_program', True)

        self.collection = TVCollection(ignore_errors=ignore_errors,
                                       terminate_program=terminate_program)

    def _exec(self):
        raise NotImplementedError


class BaseHelper(object):
    def __init__(self, collection):
        self.collection = collection
